Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel.tree
Class SourceTreeModelDefinition

    java.lang.Object
      org.apache.cocoon.forms.formmodel.tree.SourceTreeModelDefinition

All Implemented Interfaces:
  TreeModelDefinition

public class SourceTreeModelDefinition
extends Object
implements TreeModelDefinition

Definition for `SourceTreeModel`

Version:
  $Id: SourceTreeModelDefinition.java 587759 2007-10-24 03:00:37Z vgritsenko $

Constructor Summary
`SourceTreeModelDefinition()`

Method Summary
`TreeModel` | `createInstance()`
`List` | `getDirectoryExcludePatterns()`
`List` | `getDirectoryIncludePatterns()`
`List` | `getFileExcludePatterns()`
`List` | `getFileIncludePatterns()`
`SourceResolver` | `getResolver()`
`String` | `getRootURL()`
`void` | `setDirectoryPatterns(List includes, List excludes)`
`void` | `setFilePatterns(List includes, List excludes)`
`void` | `setSourceResolver(SourceResolver resolver)`
`void` | `setURL(String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceTreeModelDefinition

    public SourceTreeModelDefinition()

Method Detail

### setURL

    public void setURL(String url)

### setFilePatterns

    public void setFilePatterns(List includes,
                                List excludes)

### setDirectoryPatterns

    public void setDirectoryPatterns(List includes,
                                     List excludes)

### createInstance

    public TreeModel createInstance()

  Specified by:
    `createInstance` in interface `TreeModelDefinition`

### getDirectoryExcludePatterns

    public List getDirectoryExcludePatterns()

### getDirectoryIncludePatterns

    public List getDirectoryIncludePatterns()

### getFileExcludePatterns

    public List getFileExcludePatterns()

### getFileIncludePatterns

    public List getFileIncludePatterns()

### setSourceResolver

    public void setSourceResolver(SourceResolver resolver)

### getRootURL

    public String getRootURL()

### getResolver

    public SourceResolver getResolver()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.